`timescale 1ns/1ps
module mypll(
   input clkin,
   input clkfb,
   input pllen,
   input resetn,
   input clkout0en,
   input clkout1en,
   input clkout2en,
   input clkout3en,
  output clkout0,
  output clkout1,
  output clkout2,
  output clkout3,
  output lock
);


alta_pllx mypll_9B56FB80(
  .clkin(clkin),
  .clkfb(clkfb),
  .pllen(pllen),
  .resetn(resetn),
  .clkout0en(clkout0en),
  .clkout1en(clkout1en),
  .clkout2en(clkout2en),
  .clkout3en(clkout3en),
  .clkout0(mypll_clkout0),
  .clkout1(mypll_clkout1),
  .clkout2(mypll_clkout2),
  .clkout3(mypll_clkout3),
  .lock(mypll_lock)
);
defparam mypll_9B56FB80.CLKIN_DIV = 6'h04;
defparam mypll_9B56FB80.CLKFB_DIV = 6'h01;
defparam mypll_9B56FB80.CLKDIV0_EN = 1'h1;
defparam mypll_9B56FB80.CLKOUT0_DIV = 6'h23;
defparam mypll_9B56FB80.CLKOUT0_DEL = 6'h00;
defparam mypll_9B56FB80.CLKOUT0_PHASE = 3'h0;
defparam mypll_9B56FB80.CLKDIV1_EN = 1'h1;
defparam mypll_9B56FB80.CLKOUT1_DIV = 6'h11;
defparam mypll_9B56FB80.CLKOUT1_DEL = 6'h00;
defparam mypll_9B56FB80.CLKOUT1_PHASE = 3'h0;
defparam mypll_9B56FB80.CLKDIV2_EN = 1'h1;
defparam mypll_9B56FB80.CLKOUT2_DIV = 6'h0B;
defparam mypll_9B56FB80.CLKOUT2_DEL = 6'h00;
defparam mypll_9B56FB80.CLKOUT2_PHASE = 3'h0;
defparam mypll_9B56FB80.CLKDIV3_EN = 1'h0;
defparam mypll_9B56FB80.CLKOUT3_DIV = 6'h3F;
defparam mypll_9B56FB80.CLKOUT3_DEL = 6'h00;
defparam mypll_9B56FB80.CLKOUT3_PHASE = 3'h0;
defparam mypll_9B56FB80.FEEDBACK_MODE = 1'b1;
defparam mypll_9B56FB80.FEEDBACK_CLOCK = 2'b00;

assign clkout0 = mypll_clkout0;
assign clkout1 = mypll_clkout1;
assign clkout2 = mypll_clkout2;
assign clkout3 = mypll_clkout3;
assign lock = mypll_lock;

endmodule

