module fsel_led_chk(
	input					sys_rst,
	input					clk1,
	input					clk2,
	input					clk3,
	input					btn1,
	input					btn2,
	input					btn3,
	output	[3:0]		sft_led
);

wire clkout;

clk_sel inst_clk_sel(
	.clk1(clk1),
	.clk2(clk2),
	.clk3(clk3),
	.btn1(btn1),
	.btn2(btn2),
	.btn3(btn3),
	.clkout(clkout)
);

led_chk inst_led_chk(
	.sys_clk(clkout),
	.sys_rst(sys_rst),
	.sft_led(sft_led)
);

endmodule
